# synfig::ValueNode_Scale Struct Reference

`#include <valuenode_scale.h>`

Inheritance diagram for synfig::ValueNode_Scale:

List of all members.

## Public Types

typedef etl::handle < ValueNode_Scale > | Handle
typedef etl::handle< const ValueNode_Scale > | ConstHandle

## Public Member Functions

virtual | ~ValueNode_Scale ()
virtual ValueNode::LooseHandle | get_link_vfunc (int i) const
virtual int | link_count () const
virtual String | link_name (int i) const
virtual int | get_link_index_from_name (const String &name) const
virtual ValueBase | operator() (Time t) const
| Returns the value of the ValueNode at time t.
ValueBase | get_inverse (Time t, const synfig::Vector &target_value) const
| Returns the modified Link to match the target value at time t.
ValueBase | get_inverse (Time t, const synfig::Angle &target_value) const
bool | is_invertible (Time t) const
virtual String | get_name () const
| Returns the name of the ValueNode type.
virtual String | get_local_name () const
| Returns the localized name of the ValueNode type.
virtual String | link_local_name (int i) const

## Static Public Member Functions

static bool | check_type (ValueBase::Type type)
static ValueNode_Scale * | create (const ValueBase &x)

## Protected Member Functions

virtual bool | set_link_vfunc (int i, ValueNode::Handle x)
virtual LinkableValueNode * | create_new () const

## Member Typedef Documentation

typedef etl::handle<ValueNode_Scale> synfig::ValueNode_Scale::Handle

Reimplemented from synfig::LinkableValueNode.

typedef etl::handle<const ValueNode_Scale> synfig::ValueNode_Scale::ConstHandle

Reimplemented from synfig::LinkableValueNode.

## Constructor & Destructor Documentation

synfig::ValueNode_Scale::~ValueNode_Scale | ( |  | ) | `[virtual]`

References synfig::LinkableValueNode::unlink_all().

## Member Function Documentation

ValueNode::LooseHandle ValueNode_Scale::get_link_vfunc | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References link_count().

int ValueNode_Scale::link_count | ( |  | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

Referenced by get_link_vfunc(), link_local_name(), link_name(), and set_link_vfunc().

String ValueNode_Scale::link_name | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References link_count().

int ValueNode_Scale::get_link_index_from_name | ( | const String & | name | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

synfig::ValueBase synfig::ValueNode_Scale::operator() | ( | Time |  | ) | const`[virtual]`

Returns the value of the ValueNode at time t.

Reimplemented from synfig::ValueNode.

References _, synfig::Color::get_b(), synfig::Color::get_g(), synfig::Color::get_r(), synfig::ValueNode::get_type(), synfig::Color::set_b(), synfig::Color::set_g(), synfig::Color::set_r(), synfig::ValueBase::TYPE_ANGLE, synfig::ValueBase::TYPE_COLOR, synfig::ValueBase::TYPE_INTEGER, synfig::ValueBase::TYPE_REAL, synfig::ValueBase::TYPE_TIME, and synfig::ValueBase::TYPE_VECTOR.

synfig::ValueBase synfig::ValueNode_Scale::get_inverse | ( | Time | t,
|  | const synfig::Vector & | target_value |
| ) |  |  | const

Returns the modified Link to match the target value at time t.

References _, synfig::ValueNode::get_type(), synfig::Vector::mag(), synfig::ValueBase::TYPE_ANGLE, and synfig::ValueBase::TYPE_REAL.

synfig::ValueBase synfig::ValueNode_Scale::get_inverse | ( | Time | t,
|  | const synfig::Angle & | target_value |
| ) |  |  | const

References _, and synfig::ValueNode::get_type().

bool synfig::ValueNode_Scale::is_invertible | ( | Time | t | ) | const

String ValueNode_Scale::get_name | ( |  | ) | const`[virtual]`

Returns the name of the ValueNode type.

Implements synfig::ValueNode.

String ValueNode_Scale::get_local_name | ( |  | ) | const`[virtual]`

Returns the localized name of the ValueNode type.

Implements synfig::ValueNode.

References _.

String ValueNode_Scale::link_local_name | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References _, and link_count().

bool ValueNode_Scale::set_link_vfunc | ( | int | i,
|  | ValueNode::Handle | x |
| ) |  |  | `[protected, virtual]`

Implements synfig::LinkableValueNode.

References CHECK_TYPE_AND_SET_VALUE, synfig::ValueNode::get_type(), link_count(), and synfig::ValueBase::TYPE_REAL.

LinkableValueNode * ValueNode_Scale::create_new | ( |  | ) | const`[protected, virtual]`

Implements synfig::LinkableValueNode.

References synfig::ValueNode::get_type().

bool ValueNode_Scale::check_type | ( | ValueBase::Type | type | ) | `[static]`

References synfig::ValueBase::TYPE_ANGLE, synfig::ValueBase::TYPE_COLOR, synfig::ValueBase::TYPE_INTEGER, synfig::ValueBase::TYPE_REAL, synfig::ValueBase::TYPE_TIME, and synfig::ValueBase::TYPE_VECTOR.

ValueNode_Scale * ValueNode_Scale::create | ( | const ValueBase & | x | ) | `[static]`

The documentation for this struct was generated from the following files:

- valuenode_scale.h
- valuenode_scale.cpp